# gcp::Tools Class Reference

`#include <tools.h>`

Inheritance diagram for gcp::Tools:

List of all members.

## Public Member Functions

| Tools (Application *App)
virtual | ~Tools ()
void | Show (bool visible)
void | AddToolbar (std::string &name)
void | SetUIManager (GtkUIManager *manager)
void | SetPage (Tool *tool, int i)
void | OnSelectTool (Tool *tool)
void | RegisterTool (GtkWidget *w)
void | OnElementChanged (int Z)
void | SetElement (int Z)
void | Update (void)
void | OnHelp ()

## Detailed Description

class Tools gcp/tools.h The GChemPaint tools box. Only one instance should be created.

Definition at line 37 of file tools.h.

## Constructor & Destructor Documentation

gcp::Tools::Tools | ( | Application * | App | ) |

Parameters:

  | App | the GChemPaint Application.

Builds the tools box for the application.

virtual gcp::Tools::~Tools | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

void gcp::Tools::Show | ( | bool | visible | ) |

Parameters:

  | visible | whether the tools box should be visible.

Shows or hides the tools box.

void gcp::Tools::AddToolbar | ( | std::string & | name | ) |

Parameters:

  | name | the new toolbar name.

Addsa new toolbar.

void gcp::Tools::SetUIManager | ( | GtkUIManager * | manager | ) |

Parameters:

  | manager | a GtkUIManager.

Sets the GtkUIManager associated to the user interface of the tools box.

void gcp::Tools::SetPage | ( | Tool * | tool,
|  | int | i |
| ) |  |  |

Parameters:

  | tool | the Tool for which an options page has been added.
  | i | the rank of the page in the notebook.

Registers the new option box for the tool, so that the widget is created only once when the tool is first selected.

void gcp::Tools::OnSelectTool | ( | Tool * | tool | ) |

Parameters:

  | tool | a Tool.

Called by the framwork when the Tool is selected. If the Tool has an option box, it becomes the active notebook page after being created if necessary.

void gcp::Tools::RegisterTool | ( | GtkWidget * | w | ) |

Parameters:

  | w | the tool widget, generally a button.

Registers the Tool corresponding to the widget. The widget name is used to retrieve the Tool from the application using gcp::Application::GetTool().

void gcp::Tools::OnElementChanged | ( | int | Z | ) |

Parameters:

  | Z | the new current atomic number.

Called by the framework when the current atomic number has changed.

void gcp::Tools::SetElement | ( | int | Z | ) |

Parameters:

  | Z | the new current atomic number.

Called by the framework when the user choose a new current atomic number using the Mendeleiev table widget.

void gcp::Tools::Update | ( | void |  | ) |

Called by the framework when the tearable property of the Mendeleiev table widget changed.

void gcp::Tools::OnHelp | ( |  | ) |

Called by the framework when the Help button is clicked.

The documentation for this class was generated from the following file:

- tools.h